Announcement

Collapse
No announcement yet.

7/20: ARK Dev Kit v297.2 is now available on the Epic Games Launcher

Collapse
This is a sticky topic.
X
X
  • Filter
  • Time
  • Show
Clear All
new posts

    Originally posted by StudioWildcard View Post
    Hmm, can you post a screenshot of what your Blueprint looks like when trying to set those?

    Thanks,
    Jeremy
    Seems like an issue with a fresh launcher install (v249.8?) upgraded to 253. Either that, or source code that was produced with a devkit before the current launcher version.

    Messed up version


    What it should look like


    And here is APS, showing that it cannot find the var that is already being ref directly above it


    Cannot cast to any of my assets in the Mods dir (not just ORP or APS). Even some vanilla assets, such as wood floor, I cannot cast to from an actor ref.

    I took my old 252.6 ADK that has been github updated for the last 9 months, copied it, updated the copy to 253, and works perfect. So I am leaning towards some issue with the current launcher version being a fresh install being the culprit.
    Last edited by jslay; 12-28-2016, 10:30 PM.

    Comment


      Also, you can get APS source, here
      https://arkmodding.net/APS.7z

      Comment


        Getting constant compile errors with vanilla game files (allowfollowing for example) when I try to "play" in the editor level viewport after downloading the 253 content diff (for epic games). Causing constant crashes. Anyone else getting anything like this?

        Comment


          GitHub link is down? Can't download =/

          Comment


            The latest update on the epic launcher leads to crashes, verifying reverts the dev kit to 248.9!
            ARK: Survival+ Workshop: Workshop
            ARK: Survival+ Website: https://survival-plus.co

            Comment


              Originally posted by taotsetung View Post
              The latest update on the epic launcher leads to crashes, verifying reverts the dev kit to 248.9!
              Same for me, I keep getting the "Entry" error. And there are no new files on github with the updated files

              Comment


                Just happened to me too! How to get the update again?

                Comment


                  Sorry about that, the version on the Epic Launcher has out of date ADK executable binaries! The correct binaries version (253.85) is now posted to GitHub (which you can download over the new Epic Launcher build), so please do so to resolve such issues. Will also get those binaries posted to the Epic Launcher itself asap.

                  Thanks!!

                  -Jeremy

                  Comment


                    Will the binaries also include a version update for the launcher? 248 last update...

                    Comment


                      Originally posted by ShaZZa BFE View Post
                      Will the binaries also include a version update for the launcher? 248 last update...
                      After you paste the binaries from GitHub, it will show the correct version. There will also be an update in the Epic Launcher at some point. I'm not sure of the timing but it shoulsn't be more than a few days!@
                      Wildcard Mod Liaison | Creator of Primitive+ Survival

                      Comment


                        Hello,

                        I have a separate 256GB SSD for the DevKit. This drive contains no other files.
                        When I try to update the installed version (v253.0) to the most recent one (v253.85), Epic Games Launcher keeps complain about insufficient storage (87GB free / 120GB required).

                        Click image for larger version

Name:	ArkDevKitFail.PNG
Views:	1
Size:	14.1 KB
ID:	1121001

                        Are there any DevKit cache folders that I could delete to free some space?

                        Comment


                          The ARK Dev Kit v253.86 has been posted to the Epic Launcher!

                          v253.0 has powerful new functionality associated with the 5 new Dino's and new Camera weapon. But even more importantly, it has the first round of community-requested features added, listed here:

                          https://docs.google.com/spreadsheets...nvA/edit#gid=0

                          (Also note that in 253.86, in addition to a mod-stackable PrimalGameData LoadedWorld event, PrimalGameData now has a TickedWorld event as well! You can use the World object as a context for IsServer() checking too if you want to only do server-side logic there.)

                          Comment


                            Originally posted by ComplexMinded View Post
                            After you paste the binaries from GitHub, it will show the correct version. There will also be an update in the Epic Launcher at some point. I'm not sure of the timing but it shoulsn't be more than a few days!@
                            Yeah what I meant was for people that don't update manually if the binary update would include a launcher update. Sorry if my post was a bit confusing. Thanks for letting me know. Launcher update has been pushed so now on latest version.

                            Originally posted by StudioWildcard View Post
                            The ARK Dev Kit v253.86 has been posted to the Epic Launcher!
                            Thank you for this.

                            Comment


                              When will v253.86 released on GitHub ? I have v253.85 and this version is crasing for me

                              Comment


                                v253.89 is a broken version too, dragging tabs in the graph editor causes instant crash

                                Comment

                                Working...
                                X